<template>
  <div class="dialog" v-show="modelValue" @click="closeDialog" id="dialog">
      <div class="dialog-wrapper" @click.stop>
          <div class="dialog-header">
              <h4>Dialogtitel</h4>
              <button type="button" @click="closeDialog">x</button>
          </div>
          <div class="dialog-content">
              <slot/>
          </div>
      </div>
  </div>
</template>

<script setup>
defineProps(['modelValue'])
const emit = defineEmits(['update:modelValue'])

function closeDialog() {
    emit('update:modelValue', false)
}
</script>

<style scoped>
  .dialog {
      position: fixed;
      inset: 0;
      background: rgba(0,0,0,.2);
      backdrop-filter: blur(2px);
  }

  .dialog-wrapper {
      position: fixed;
      width: 800px;
      min-height: 200px;
      background: white;
      border-radius: 5px;
      box-shadow: 0 5px 10px -1px rgba(0,0,0, .5);
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
  }
</style>
